module.c File Reference
Include dependency graph for module.c:

## Functions

SPA_EXPORT struct pw_core * | pw_module_get_core (struct pw_module *module)
| Get the core of a module. More...
SPA_EXPORT struct pw_global * | pw_module_get_global (struct pw_module *module)
| Get the global of a module. More...
SPA_EXPORT const struct pw_module_info * | pw_module_get_info (struct pw_module *module)
| Get the module info. More...
SPA_EXPORT void | pw_module_add_listener (struct pw_module *module, struct spa_hook *listener, const struct pw_module_events *events, void *data)
| Add an event listener to a module. More...

## Function Documentation

## pw_module_add_listener()

SPA_EXPORT void pw_module_add_listener | ( | struct pw_module * | module,
|  | struct spa_hook * | listener,
|  | const struct pw_module_events * | events,
|  | void * | data
| ) |  |

Add an event listener to a module.

## pw_module_get_core()

SPA_EXPORT struct pw_core* pw_module_get_core | ( | struct pw_module * | module | ) |

Get the core of a module.

## pw_module_get_global()

SPA_EXPORT struct pw_global* pw_module_get_global | ( | struct pw_module * | module | ) |

Get the global of a module.

## pw_module_get_info()

SPA_EXPORT const struct pw_module_info* pw_module_get_info | ( | struct pw_module * | module | ) |

Get the module info.